<form *ngIf="inputForm" [formGroup]="inputForm" class="select-container">
  <label>
    {{ label }}
    <!-- <span *ngIf="validation" class="validation-star">*</span> -->
    <span *ngIf="!required" class="chosen">(اختیاری)</span>
  </label>
  <h5 *ngIf="mode === 'view'; else modeForm">
    {{ items && items | selectValue: inputForm.value[inputName] }}
  </h5>

  <ng-template #modeForm>
    <div class="box-container">
      <ng-select [items]="items" [bindLabel]="bindLabel" bindValue="value" [closeOnSelect]="!multiple"
        [multiple]="multiple" [loading]="loading" [placeholder]="placeholder" [formControlName]="inputName"
        (change)="onChange($event)" loadingText="در حال دریافت اطلاعات ..." class="select-container__select">

        <ng-template ng-notfound-tmp>
          <div class="ng-option disabled">موردی یافت نشد</div>
        </ng-template>
        <ng-template ng-loading-tmp>
          <div class="ng-option disabled">موردی یافت نشد</div>
        </ng-template>

        <ng-template *ngIf="isStar" ng-option-tmp let-item="item" let-index="index" let-search="searchTerm">
          <div class="select-container__stars">
            <label>{{ item.label }}</label>
            <star-rating size="20px" readonly="true" *ngIf="item.value !== 0" [totalstars]="item.value"
              [value]="item.value" checkedcolor="#f4ae01" uncheckedcolor="#f4ae01"></star-rating>
          </div>
        </ng-template>
      </ng-select>

      <div *ngIf="multiple">
        <span class="multiple">{{inputForm.value.roles.length}} مورد انتخاب شده است</span>
      </div>
      <div *ngFor="let val of validation">
        <div *ngIf="hasError(inputName, val.type)">

          <svg aria-hidden="true" class="stUf5b qpSchb" fill="currentColor" focusable="false" width="16px" height="16px"
            viewBox="0 0 24 24" xmlns="https://www.w3.org/2000/svg">
            <path d="M12 2C6.48 2 2 6.48 2 12s4.48 10 10 10 10-4.48 10-10S17.52 2 12 2zm1 15h-2v-2h2v2zm0-4h-2V7h2v6z">
            </path>
          </svg>
          <span class="slide-in-top">
            {{ val.message }}
          </span>
        </div>

      </div>
    </div>
  </ng-template>
</form>
